package com.yc.ship.module.product.enums;

import com.yc.ship.framework.common.core.IntArrayValuable;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

import java.util.Arrays;

@RequiredArgsConstructor
@Getter
public enum YesOrNoEnum implements IntArrayValuable {
    YES(1, "是"),
    NO(0, "否");

    private final Integer type;
    private final String name;
    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(YesOrNoEnum::getType).toArray();
    public int[] array() {
        return ARRAYS;
    }
}
